<?php
	require_once ('../common/scripts/templatize.inc.php');
	require_once ('../common/scripts/connect.inc.php');
	require_once ('../common/scripts/bdd.inc.php');
	
/***********************/
/*connexion a la table */
/***********************/
	
	session_start();
	
	//on verifie que le couple login/mdp est dans la table
	list($id, $messageErreur) = checkIfUserExists($dbconn, $_POST['login'], $_POST['password']);
	
/***********************/
/*affichage ou         */ 
/*teleportation        */
/***********************/
	
	//si tout va bien
	if ($messageErreur == '') {
		
		//on remplit les variables de session
		$_SESSION['id'] = $id;
		$_SESSION['login'] = $_POST['login'];
		$_SESSION['password'] = md5($_POST['password']);
		
		updateLastConnect($dbconn,$id);
		
		//on se teleporte
		header("Location: ../connect/connect.php");
	}
	else { //sinon, on affiche l'erreur en utilisant le template
		templatizeWithVars('../common/header.tpl','../common/menu.tpl','login.tpl','../common/footer.tpl', 
			array('MESSAGE_ERREUR' => $messageErreur));
	}
?>
